Patch Slot
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"quantity": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": true,
"primaryProjectItemId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}"
payload = {
"version": 123,
"quantity": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": True,
"primaryProjectItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
quantity: '<string>',
unitsPerPackage: '<string>',
extraQuantityPercentage: '<string>',
extraQuantityOverride: '<string>',
parLevel: '<string>',
columnsAttributes: {},
refNumber: '<string>',
extraQuantityDecimalPlaces: 3,
applyParToPurchaseQuantity: true,
primaryProjectItemId: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"changedSinceIssueCount": 123,
"changedFields": [
"<string>"
],
"position": 123,
"quantity": "<string>",
"refNumber": "<string>",
"brandStandardId": "<string>",
"columnsAttributes": {},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"region": "<string>",
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"applyParToPurchaseQuantity": true,
"unitsPerPackage": {},
"parLevel": {},
"extraQuantityPercentage": {},
"extraQuantityOverride": {},
"extraQuantityDecimalPlaces": 123,
"items": [
{
"id": "<string>",
"projectId": "<string>",
"projectItemSlotId": "<string>",
"name": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"materialFinish": {
"id": "<string>",
"name": "<string>",
"isBaseMaterial": true
},
"columnsAttributes": {},
"sourceMeta": {
"url": "<string>",
"selectors": {},
"title": "<string>",
"favicon": "<string>",
"ogImage": "<string>",
"clippedAt": "<string>"
},
"instructionLinks": [
{
"assigneeRoleGroupIds": [
"mfg_vendors"
],
"id": "<string>",
"text": "<string>",
"position": 123
}
],
"isPrimary": true,
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"selectedSource": {
"isDefault": true,
"companyName": {},
"officeName": {}
},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"region": "<string>",
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"categoryId": "<string>",
"productTypeId": "<string>",
"kind": "option",
"catalogFamilyStatus": "draft",
"catalogFamilyItemType": "default",
"catalogDecisionEventIds": [
"<string>"
],
"brandStandardId": "<string>",
"refNumber": "<string>",
"affectedParentPiIds": [
"<string>"
],
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"slotColumnsAttributes": {},
"coreChangePolicy": {},
"catalogFamilySourceId": "<string>",
"syncStateCache": {
"hasDiff": true,
"columnsDiff": true,
"partsDiff": {
"hasDiff": true,
"addedLocally": [
"<string>"
],
"removedLocally": [
"<string>"
],
"quantityChanged": [
{
"catalogItemId": "<string>",
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionDiff": {
"familySourceMismatch": true,
"itemSourceMismatch": true
},
"orphanedRefs": {
"family": true,
"item": true,
"familySource": true,
"itemSource": true
},
"computedAt": "<string>",
"componentsDiverged": true
},
"affectedCatalogFamilyId": "<string>"
}
]
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}Project Item Slots
Patch Slot
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
{id}
Patch Slot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pattern:
^\d{1,16}(?:\.\d{1,2})?$Pattern:
^(?!0+(?:\.0{1,2})?$)\d{1,13}(?:\.\d{1,2})?$Pattern:
^\d{1,14}(?:\.\d{1,4})?$Pattern:
^\d{1,16}(?:\.\d{1,2})?$Pattern:
^\d{1,7}(?:\.\d{1,2})?$Maximum string length:
64Required range:
0 <= x <= 6Response
Show child attributes
Show child attributes
Non-component PIs in the slot (primary + alternatives). Present on slot-detail responses and on primary-flip PATCH responses; absent from list responses and scalar-only PATCH responses.
Show child attributes
Show child attributes
⌘I